Robotsystem of the Robot Group Leipzig: datafunc.h File Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- File List
- File Members

# datafunc.h File Reference

`#include <vector>`
`#include "matrix.h"`

Include dependency graph for datafunc.h:

Go to the source code of this file.

## Typedefs
typedef matrix::Matrix(*) | DataFunc (const std::vector< matrix::Matrix > &data, int time)
| INPUT / Output Data selectors.
## Functions
matrix::Matrix | tm1 (const std::vector< matrix::Matrix > &data, int time)
matrix::Matrix | tm2 (const std::vector< matrix::Matrix > &data, int time)
matrix::Matrix | tm12 (const std::vector< matrix::Matrix > &data, int time)
matrix::Matrix | tm123 (const std::vector< matrix::Matrix > &data, int time)
matrix::Matrix | tm125 (const std::vector< matrix::Matrix > &data, int time)
matrix::Matrix | tm12345 (const std::vector< matrix::Matrix > &data, int time)
matrix::Matrix | tm12358 (const std::vector< matrix::Matrix > &data, int time)
matrix::Matrix | tm125_10_20 (const std::vector< matrix::Matrix > &data, int time)
matrix::Matrix | tm1_to_20 (const std::vector< matrix::Matrix > &data, int time)
matrix::Matrix | ts01m1_to_10 (const std::vector< matrix::Matrix > &data, int time)
matrix::Matrix | tm0_to_10s01 (const std::vector< matrix::Matrix > &data, int time)
matrix::Matrix | tm1s01_m2 (const std::vector< matrix::Matrix > &data, int time)
matrix::Matrix | ts01_m1s23 (const std::vector< matrix::Matrix > &data, int time)
matrix::Matrix | tm1s23 (const std::vector< matrix::Matrix > &data, int time)
matrix::Matrix | t (const std::vector< matrix::Matrix > &data, int time)
matrix::Matrix | ts0 (const std::vector< matrix::Matrix > &data, int time)
matrix::Matrix | ts1 (const std::vector< matrix::Matrix > &data, int time)
matrix::Matrix | ts01 (const std::vector< matrix::Matrix > &data, int time)
matrix::Matrix | ts012 (const std::vector< matrix::Matrix > &data, int time)
matrix::Matrix | ts23 (const std::vector< matrix::Matrix > &data, int time)
matrix::Matrix | tsfrom1 (const std::vector< matrix::Matrix > &data, int time)
DataFunc | datafunctions (const std::string &name)

## Typedef Documentation

typedef matrix::Matrix(*) DataFunc(const std::vector< matrix::Matrix > &data, int time)

INPUT / Output Data selectors.

## Function Documentation

DataFunc datafunctions | ( | const std::string & | name | ) |

matrix::Matrix t | ( | const std::vector< matrix::Matrix > & | data,
|  | int | time |
| ) |  |  |

matrix::Matrix tm0_to_10s01 | ( | const std::vector< matrix::Matrix > & | data,
|  | int | time |
| ) |  |  |

matrix::Matrix tm1 | ( | const std::vector< matrix::Matrix > & | data,
|  | int | time |
| ) |  |  |

matrix::Matrix tm12 | ( | const std::vector< matrix::Matrix > & | data,
|  | int | time |
| ) |  |  |

matrix::Matrix tm123 | ( | const std::vector< matrix::Matrix > & | data,
|  | int | time |
| ) |  |  |

matrix::Matrix tm12345 | ( | const std::vector< matrix::Matrix > & | data,
|  | int | time |
| ) |  |  |

matrix::Matrix tm12358 | ( | const std::vector< matrix::Matrix > & | data,
|  | int | time |
| ) |  |  |

matrix::Matrix tm125 | ( | const std::vector< matrix::Matrix > & | data,
|  | int | time |
| ) |  |  |

matrix::Matrix tm125_10_20 | ( | const std::vector< matrix::Matrix > & | data,
|  | int | time |
| ) |  |  |

matrix::Matrix tm1_to_20 | ( | const std::vector< matrix::Matrix > & | data,
|  | int | time |
| ) |  |  |

matrix::Matrix tm1s01_m2 | ( | const std::vector< matrix::Matrix > & | data,
|  | int | time |
| ) |  |  |

matrix::Matrix tm1s23 | ( | const std::vector< matrix::Matrix > & | data,
|  | int | time |
| ) |  |  |

matrix::Matrix tm2 | ( | const std::vector< matrix::Matrix > & | data,
|  | int | time |
| ) |  |  |

matrix::Matrix ts0 | ( | const std::vector< matrix::Matrix > & | data,
|  | int | time |
| ) |  |  |

matrix::Matrix ts01 | ( | const std::vector< matrix::Matrix > & | data,
|  | int | time |
| ) |  |  |

matrix::Matrix ts012 | ( | const std::vector< matrix::Matrix > & | data,
|  | int | time |
| ) |  |  |

matrix::Matrix ts01_m1s23 | ( | const std::vector< matrix::Matrix > & | data,
|  | int | time |
| ) |  |  |

matrix::Matrix ts01m1_to_10 | ( | const std::vector< matrix::Matrix > & | data,
|  | int | time |
| ) |  |  |

matrix::Matrix ts1 | ( | const std::vector< matrix::Matrix > & | data,
|  | int | time |
| ) |  |  |

matrix::Matrix ts23 | ( | const std::vector< matrix::Matrix > & | data,
|  | int | time |
| ) |  |  |

matrix::Matrix tsfrom1 | ( | const std::vector< matrix::Matrix > & | data,
|  | int | time |
| ) |  |  |